SDIFF(1V)

NAME
sdiff - contrast two text files by displaying them side-by-side

SYNOPSIS
sdiff [ -l ] [ -o outfile ] [ -s ] [ -w n ] filename1 filename2

AVAILABILITY
This command is available with the System V software installation option. Refer to for information on how to install optional software.

DESCRIPTION
sdiff uses the output of diff-b to produce a side-by-side listing of two files indicating those lines that are different. Each line of the two files is printed with a blank gutter between them if the lines are identical, a < in the gutter if the line only exists in filename1, a > in the gutter if the line only exists in filename2, and a | for lines that are different. See EXAMPLES.

OPTIONS

-w  n
    Use n as the width of the output line. The default line length is 130 characters.

-l  Only print the left side of any identical lines.

-s  Silent. Do not print identical lines.

-o  outfile
    Use the next argument, output, as the name of an output file created as an interactively controlled merging of filename1 and filename2. Identical lines of filename1 and filename2 are copied to output. Sets of differences, as produced by diff, are printed; where a set of differences share a common gutter character. After printing each set of differences, sdiff prompts with a % and waits for you to type one of the following commands:

    l   Append the left column to the output file.

    r   Append the right column to the output file.

    s   Turn on silent mode; do not print identical lines.

    v   Turn off silent mode.

    e l Call the ed(1) with the left column.

    e r Call ed(1) with the right column.

    e b Call ed(1) with the concatenation of left and right columns.

    e   Call ed(1) with a zero length file.

        On exit from ed(1), the resulting file is concatenated to the named output file.

    q   Exit from the program.

EXAMPLES

A sample output of sdiff would look like this:

             x    |    y
             a         a
             b    <
             c    <
             d         d
                  >    c

SEE ALSO
diff(1), ed(1)